%define url_ver %(echo %{version} | cut -d. -f1,2)

%define git_url	git://git.xfce.org/xfce/xfce4-power-manager

# don't provide plugin .so
%global __provides_exclude_from %{_libdir}/xfce4/panel/plugins/.*\\.so

# fix mga6 copr build
%{!?_metainfodir:%global _metainfodir %{_datadir}/metainfo}

Summary:	A power manager for Xfce
Name:		xfce4-power-manager
Epoch:		1
Version:	1.6.5
Release:	%mkrel 1
License:	GPLv2+
Group:		Graphical desktop/Xfce
Url:		https://goodies.xfce.org/projects/applications/%{name}
Source0:	https://archive.xfce.org/src/apps/xfce4-power-manager/%{url_ver}/%{name}-%{version}.tar.bz2
BuildRequires:	intltool
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(libxfconf-0) >= 4.12.0
BuildRequires:	pkgconfig(libxfce4ui-2) >= 4.12.0
BuildRequires:	pkgconfig(libnotify)
BuildRequires:	pkgconfig(libxfce4panel-2.0) >= 4.12.0
BuildRequires:	pkgconfig(upower-glib) >= 0.99.0
BuildRequires:	pkgconfig(xscrnsaver)
BuildRequires:	pkgconfig(xtst)
Requires:	xfce4-panel >= 4.12.0
Requires:	upower

%description
A power manager dedicated for Xfce desktop environment.

%prep
%setup -q
%autopatch -p1

%build
%configure2_5x \
	--disable-static \
	--enable-panel-plugins \
	--enable-network-manager \
	--enable-polkit

%make_build V=1

%install
%make_install

#we don't want these
find %{buildroot} -name "*.la" -delete

%find_lang %{name}

%files -f %{name}.lang
%doc AUTHORS NEWS README TODO
%{_sysconfdir}/xdg/autostart/*.desktop
%{_sbindir}/xfpm-power-backlight-helper
%{_sbindir}/xfce4-pm-helper
%{_bindir}/%{name}*
%{_datadir}/polkit-1/actions/org.xfce.power.policy
%{_datadir}/applications/*.desktop
%{_metainfodir}/xfce4-power-manager.appdata.xml
%{_iconsdir}/hicolor/scalable/*/*.svg
%{_iconsdir}/hicolor/*/*/*.png
%{_mandir}/man1/*
#panel plugin
%{_libdir}/xfce4/panel/plugins/libxfce4powermanager.so
%{_datadir}/xfce4/panel/plugins/power-manager-plugin.desktop
